/* -*- C++ -*-
 * File: internal/libraw_const.h
 * Copyright 2008-2019 LibRaw LLC (info@libraw.org)
 * Created: Sat Aug  17, 2019

LibRaw is free software; you can redistribute it and/or modify
it under the terms of the one of two licenses as you choose:

1. GNU LESSER GENERAL PUBLIC LICENSE version 2.1
   (See file LICENSE.LGPL provided in LibRaw distribution archive for details).

2. COMMON DEVELOPMENT AND DISTRIBUTION LICENSE (CDDL) Version 1.0
   (See file LICENSE.CDDL provided in LibRaw distribution archive for details).

 */

#ifndef LIBRAW_CONST_H
#define LIBRAW_CONST_H

#define CanonID_EOS_M50	0x00000412ULL
#define CanonID_EOS_M6_Mark_II	0x00000811ULL
#define CanonID_EOS_M200	0x00000812ULL
#define CanonID_EOS_M3	0x03740000ULL
#define CanonID_EOS_M10	0x03840000ULL
#define CanonID_EOS_M5	0x03940000ULL
#define CanonID_EOS_M100	0x03980000ULL
#define CanonID_EOS_1D	(0x80000000ULL + 0x001ULL)
#define CanonID_EOS_1DS	(0x80000000ULL + 0x167ULL)
#define CanonID_EOS_10D	(0x80000000ULL + 0x168ULL)
#define CanonID_EOS_1D_Mark_III	(0x80000000ULL + 0x169ULL)
#define CanonID_EOS_300D	(0x80000000ULL + 0x170ULL)
#define CanonID_EOS_1D_Mark_II	(0x80000000ULL + 0x174ULL)
#define CanonID_EOS_20D	(0x80000000ULL + 0x175ULL)
#define CanonID_EOS_450D	(0x80000000ULL + 0x176ULL)
#define CanonID_EOS_1Ds_Mark_II	(0x80000000ULL + 0x188ULL)
#define CanonID_EOS_350D	(0x80000000ULL + 0x189ULL)
#define CanonID_EOS_40D	(0x80000000ULL + 0x190ULL)
#define CanonID_EOS_5D	(0x80000000ULL + 0x213ULL)
#define CanonID_EOS_1Ds_Mark_III	(0x80000000ULL + 0x215ULL)
#define CanonID_EOS_5D_Mark_II	(0x80000000ULL + 0x218ULL)
#define CanonID_EOS_1D_Mark_II_N	(0x80000000ULL + 0x232ULL)
#define CanonID_EOS_30D	(0x80000000ULL + 0x234ULL)
#define CanonID_EOS_400D	(0x80000000ULL + 0x236ULL)
#define CanonID_EOS_7D	(0x80000000ULL + 0x250ULL)
#define CanonID_EOS_500D	(0x80000000ULL + 0x252ULL)
#define CanonID_EOS_1000D	(0x80000000ULL + 0x254ULL)
#define CanonID_EOS_50D	(0x80000000ULL + 0x261ULL)
#define CanonID_EOS_1D_X	(0x80000000ULL + 0x269ULL)
#define CanonID_EOS_550D	(0x80000000ULL + 0x270ULL)
#define CanonID_EOS_1D_Mark_IV	(0x80000000ULL + 0x281ULL)
#define CanonID_EOS_5D_Mark_III	(0x80000000ULL + 0x285ULL)
#define CanonID_EOS_600D	(0x80000000ULL + 0x286ULL)
#define CanonID_EOS_60D	(0x80000000ULL + 0x287ULL)
#define CanonID_EOS_1100D	(0x80000000ULL + 0x288ULL)
#define CanonID_EOS_7D_Mark_II	(0x80000000ULL + 0x289ULL)
#define CanonID_EOS_650D	(0x80000000ULL + 0x301ULL)
#define CanonID_EOS_6D	(0x80000000ULL + 0x302ULL)
#define CanonID_EOS_1D_C	(0x80000000ULL + 0x324ULL)
#define CanonID_EOS_70D	(0x80000000ULL + 0x325ULL)
#define CanonID_EOS_700D	(0x80000000ULL + 0x326ULL)
#define CanonID_EOS_1200D	(0x80000000ULL + 0x327ULL)
#define CanonID_EOS_1D_X_Mark_II	(0x80000000ULL + 0x328ULL)
#define CanonID_EOS_M	(0x80000000ULL + 0x331ULL)
#define CanonID_EOS_M2	(0x80000000ULL + 0x335ULL)
#define CanonID_EOS_100D	(0x80000000ULL + 0x346ULL)
#define CanonID_EOS_760D	(0x80000000ULL + 0x347ULL)
#define CanonID_EOS_5D_Mark_IV	(0x80000000ULL + 0x349ULL)
#define CanonID_EOS_80D	(0x80000000ULL + 0x350ULL)
#define CanonID_EOS_5DS	(0x80000000ULL + 0x382ULL)
#define CanonID_EOS_750D	(0x80000000ULL + 0x393ULL)
#define CanonID_EOS_5DS_R	(0x80000000ULL + 0x401ULL)
#define CanonID_EOS_1300D	(0x80000000ULL + 0x404ULL)
#define CanonID_EOS_800D	(0x80000000ULL + 0x405ULL)
#define CanonID_EOS_6D_Mark_II	(0x80000000ULL + 0x406ULL)
#define CanonID_EOS_M6	(0x80000000ULL + 0x407ULL)
#define CanonID_EOS_77D	(0x80000000ULL + 0x408ULL)
#define CanonID_EOS_200D	(0x80000000ULL + 0x417ULL)
#define CanonID_EOS_3000D	(0x80000000ULL + 0x422ULL)
#define CanonID_EOS_R	(0x80000000ULL + 0x424ULL)
#define CanonID_EOS_1500D	(0x80000000ULL + 0x432ULL)
#define CanonID_EOS_RP	(0x80000000ULL + 0x433ULL)
#define CanonID_EOS_250D	(0x80000000ULL + 0x436ULL)
#define CanonID_EOS_90D	(0x80000000ULL + 0x437ULL)

#endif
